can't use system with kernels newer than 1.13.x due to monitor resolution misfunction

Bug #1357821 reported by elhoir on 2014-08-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-lowlatency
Unknown
Unknown
linux-lowlatency (Ubuntu)
Undecided
Unassigned

Bug Description

i can use Linux 3.13.x kernel (im currently running 1.3.0-32 from Trusty while writing this). Once i upgraded to 1.14.x, and i couldnt use my PC. same symphtoms.

it seems that kernel does not get monitor resolution properly, but im not good at coding, so i cant say what the reason is...

Now, i have recently upgraded to Utopic, and i cant use 1.16.x kernels too.

I have 2 laptops, and this desktop PC

My laptops have an AMD Radeon HD 5143 and an AMD Radeon HD 8400 (integrated into an AMD A6-5200 CPU). Both are working correctly.

My desktop PC (the one that fails) uses an AMD Radeon HD6570 PCI-express, with an Intel Core i3-530

Each computer uses the new 7.4.0 ati driver, so open source driver is not the problem.
---
ApportVersion: 2.14.5-0ubuntu4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: elhoir 5091 F.... pulseaudio
 /dev/snd/controlC0: elhoir 5091 F.... pulseaudio
 /dev/snd/pcmC0D0c: elhoir 5091 F...m pulseaudio
 /dev/snd/pcmC0D0p: elhoir 5091 F...m pulseaudio
CurrentDesktop: Unity
DistroRelease: Ubuntu 14.10
HibernationDevice: RESUME=UUID=85301c2e-f08c-4e16-9966-a6236b50f45b
InstallationDate: Installed on 2012-02-27 (901 days ago)
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
MachineType: MEDIONPC MS-7616
Package: linux-lowlatency 3.16.0.8.9
PackageArchitecture: amd64
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-32-lowlatency root=UUID=cded073e-f845-4947-970b-f8a4290c4c2b ro quiet splash acpi_osi=Linux crashkernel=384M-:128M crashkernel=384M-:128M crashkernel=384M-:128M vt.handoff=7
ProcVersionSignature: Ubuntu 3.13.0-32.57-lowlatency 3.13.11.4
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-32-lowlatency N/A
 linux-backports-modules-3.13.0-32-lowlatency N/A
 linux-firmware 1.132
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: utopic
Uname: Linux 3.13.0-32-lowlatency x86_64
UpgradeStatus: Upgraded to utopic on 2014-08-15 (1 days ago)
UserGroups: adm admin audio cdrom dialout lpadmin plugdev sambashare vboxusers video wireshark
WifiSyslog: Aug 17 01:18:37 elhoir-desktop kernel: [ 630.614822] perf samples too long (2506 > 2500), lowering kernel.perf_event_max_sample_rate to 50000
_MarkForUpload: True
dmi.bios.date: 01/13/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: A7616MLN.20F
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: MS-7616
dmi.board.vendor: MEDIONPC
dmi.board.version: 1.0
dmi.chassis.type: 3
dmi.chassis.vendor: MEDIONPC
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrA7616MLN.20F:bd01/13/2010:svnMEDIONPC:pnMS-7616:pvr1.0:rvnMEDIONPC:rnMS-7616:rvr1.0:cvnMEDIONPC:ct3:cvr:
dmi.product.name: MS-7616
dmi.product.version: 1.0
dmi.sys.vendor: MEDIONPC

apport information

tags: added: apport-collected utopic
description: updated

apport information

elhoir (jfarroyo82) wrote : CRDA.txt

apport information

apport information

apport information

apport information

elhoir (jfarroyo82) wrote : Lspci.txt

apport information

elhoir (jfarroyo82) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

summary: - can use system with kernels newer than 1.13.x due to monitor resolution
- misfunction
+ can't use system with kernels newer than 1.13.x due to monitor
+ resolution misfunction
elhoir (jfarroyo82) wrote :

Sorry, i said "AMD Radeon HD 5143" while i meant AMD Radeon HD 5145

elhoir (jfarroyo82) wrote :

more debugging info:
i have been able to use PC when installing fglrx (propietary driver for the radeon card). I can not use it when using open source driver

elhoir (jfarroyo82) wrote :

previous attached logs were taken using this open source driver

elhoir (jfarroyo82) wrote :

Hello,

I have been able to use open source driver, now with kernel 3.16.0-14-lowlatency

elhoir (jfarroyo82) wrote :

false positive... i had to insttall fglrx again

To post a comment you must log in.